Subject: Re: [PATCH] net: Fix IP_UNICAST_IF option behavior for connected sockets

From: Jakub Kicinski <[email-masked]>
Date: Wed, 13 Jul 2022 11:39:35 -0700

On Wed, 13 Jul 2022 14:45:11 +0200 Richard Gobert wrote:
> On Wed, Jul 06, 2022 at 06:21:05PM +0200, Paolo Abeni wrote:
> > I think your reasoning is correct, and I'm now ok with the patch. Jakub
> > noted it does not apply cleanly, so a repost will be needed.
> > Additionally it would be great to include some self-tests.  
> 
> Will include self-tests and submit V2.
> The patch applies cleanly in my local setup. Do you have an idea as to why
> this might happen? I missed the email where Jakub mentioned this.

Jakub noted it in a private conversation with Paolo :)

If it does indeed apply cleanly to net-next [1] please repost with the
tree name explicitly stated in the subject line, ie. [PATCH net-next]
to make sure our bots don't make any mistakes in tree selection for
testing.

[1] https://git.kernel.org/pub/scm/linux/kernel/git/netdev/net-next.git/